/*
 Theme Name:     MyRentSource
 Description:    Custom theme created for MyRentSource.
 Author:         XDC Marketing & Branding
 Author URI:     https://xdcmb.com/
 Template:       Divi
 Version: 1.0.0
*/

:root {
	--theme-color: #8ec263;
    --theme-button-hover-color: #507c3e;
	--theme-secondary-color: #737373;
	--tertiary-color: #474747;
	--light-color: #ffffff;
	--dark-color: #000000;
}

html, body {
    text-rendering: optimizeLegibility;          /* Better kerning/ligatures on supported browsers */
    -webkit-font-smoothing: antialiased;        /* Chrome / Safari (mostly macOS) */
    -moz-osx-font-smoothing: grayscale;         /* Firefox on macOS */
}

/* Chrome / Edge / Safari Scrollbar */
::-webkit-scrollbar {
    height: 12px;
    width: 6px;
    background: var(--light-color);
}

::-webkit-scrollbar-thumb {
    background: var(--tertiary-color);
    -webkit-border-radius: 0;
    -webkit-box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.75);
}

/* Firefox Scrollbar */
* {
    scrollbar-width: thin;
    scrollbar-color: var(--tertiary-color) var(--light-color);
}

:root :where(#page-container a:where(:not(.wp-element-button))) {
	text-decoration: none;
}

#et-main-area {
	position: relative !important;
	z-index: 0 !important;
}

.signed-in #et-main-area {
	margin-top: 32px !important;
}

.image-4-3 img {
	aspect-ratio: 4/3;
	object-fit: cover;
}

.desktop {
	display: block !important;
}

.mobile {
	display: none !important;
}

.signed-in {
	margin-top: 32px;
}

blockquote {
	border-left: 6px solid var(--theme-color);
	padding: 10px 20px;
	font-style: italic;
}

.custom-page-header {
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	padding: 350px 20px 200px 20px;
	transition: all 0.2s ease-in-out;
}

.custom-page-header .custom-page-header-content {
	max-width: 800px;
}

.custom-page-header h1,
.custom-page-header h2 {
	text-align: center;
	color: var(--light-color);
}

.custom-page-header h1 {
	font-size: 3rem;
	font-weight: 1000;
}

.custom-page-header h2 {
	font-size: 2rem;
	font-weight: 600;
}

.text-no-padding {
    padding: 0;
}

.gform_wrapper .gform_footer input[type="submit"].gform_button {
    background-color: var(--theme-color) !important;
    color: var(--dark-color) !important;
    border: 0 !important;
	border-radius: 7px !important;
	padding: 15px 25px !important;
    text-transform: uppercase !important;
    cursor: pointer !important;
    transition: all 0.15s ease-in-out !important;
    font-size: 20px !important;
}

.gform_wrapper .gform_footer input[type="submit"].gform_button:hover {
    background-color: var(--theme-button-hover-color) !important;
    color: var(--light-color) !important;
}

.custom-footer-link:hover a {
    text-decoration: underline;
}

.social-media-links-wrapper {
    display: flex;
    gap: 15px;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
}

@media (max-width: 980px) {
    .page-title {
        font-size: 2rem;
    }
}

/*** Change Mobile Columns By VictorDuse.com.com ***/

/* 2 Columns Mobile */
@media all and (max-width: 767px) {
    html .et-db .two-col-mob .et_pb_column {
        width:47.25% !important;
    }
    
html .et-db .two-col-mob .et_pb_column:nth-last-child(-n+2) {
        margin-bottom:0;
    }

    html .et-db .two-col-mob .et_pb_column:not(:nth-child(2n)) {
            margin-right:5.5% !important;
    }
}

/* 3 Columns Mobile */
@media all and (max-width: 767px) {
    html .et-db .three-col-mob .et_pb_column {
        width:29.6667% !important;
    }

    html .et-db .three-col-mob .et_pb_column:nth-last-child(-n+3) {
        margin-bottom:0;
    }

    html .et-db .three-col-mob .et_pb_column:not(:nth-child(3n)) {
        margin-right:5.5% !important;
    }
}

/* 4 Columns Mobile */
@media all and (max-width: 767px) {
    html .et-db .four-col-mob .et_pb_column {
        width:20.875% !important;
    }

html .et-db .four-col-mob .et_pb_column:nth-last-child(-n+4) {
        margin-bottom:0;
    }

    html .et-db .four-col-mob .et_pb_column:not(:nth-child(4n)) {
        margin-right:5.5% !important;
    }
}

/* 5 Columns Mobile */
@media all and (max-width: 767px) {
    html .et-db .five-col-mob .et_pb_column {
        width:15.6% !important;
    }

    html .et-db .five-col-mob .et_pb_column:nth-last-child(-n+5) {
        margin-bottom:0;
    }

    html .et-db .five-col-mob .et_pb_column:not(:nth-child(5n)) {
        margin-right:5.5% !important;
    }
}

/* 6 Columns Mobile */
@media all and (max-width: 767px) {
    html .et-db .six-col-mob .et_pb_column {
        width:12.083% !important;
    }

    html .et-db .six-col-mob .et_pb_column:nth-last-child(-n+6) {
        margin-bottom:0;
    }

    html .et-db .six-col-mob .et_pb_column:not(:nth-child(6n)) {
        margin-right:5.5% !important;
    }
}

/*** Change Tablet Columns By VictorDuse.com.com ***/

/* 1 Column Tablet */
@media all and (min-width: 768px) and (max-width: 980px) {
    html .et-db .one-col-tab .et_pb_column {
        margin-right:0 !important;
        width:100% !important;
    }
    
        html .et-db .one-col-tab .et_pb_column:not(:last-child) {
        margin-bottom:30px !important;
    }
}

/* 2 Columns Tablet */
@media all and (min-width: 768px) and (max-width: 980px) {
    html .et-db .two-col-tab .et_pb_column {
        width:47.25% !important;
    }

.two-col-tab .et_pb_column:nth-last-child(-n+2) {
        margin-bottom:0;
    }

    html .et-db .two-col-tab .et_pb_column:not(:nth-child(2n)) {
        margin-right:5.5% !important;
    }
}

/* 3 Columns Tablet */
@media all and (min-width: 768px) and (max-width: 980px) {
    html .et-db .three-col-tab .et_pb_column {
        width:29.6667% !important;
    }

html .et-db .three-col-tab .et_pb_column:nth-last-child(-n+3) {
        margin-bottom:0;
    }

    html .et-db .three-col-tab .et_pb_column:not(:nth-child(3n)) {
        margin-right:5.5% !important;
    }
}

/* 4 Columns Tablet */
@media all and (min-width: 768px) and (max-width: 980px) {
    html .et-db .four-col-tab .et_pb_column {
        width:20.875% !important;
    }

html .et-db .four-col-tab .et_pb_column:nth-last-child(-n+4) {
        margin-bottom:0;
    }

    html .et-db .four-col-tab .et_pb_column:not(:nth-child(4n)) {
        margin-right:5.5% !important;
    }
}

/* 5 Columns Tablet */
@media all and (min-width: 768px) and (max-width: 980px) {
    html .et-db .five-col-tab .et_pb_column {
        width:15.6% !important;
    }

.five-col-mob .et_pb_column:nth-last-child(-n+5) {
        margin-bottom:0;
    }
    
    html .et-db .five-col-tab .et_pb_column:not(:nth-child(5n)) {
        margin-right:5.5% !important;
    }
}

/* 6 Columns Tablet */
@media all and (min-width: 768px) and (max-width: 980px) {
    html .et-db .six-col-tab .et_pb_column {
        width:12.083% !important;
    }

    html .et-db .six-col-tab .et_pb_column:nth-last-child(-n+6) {
        margin-bottom:0;
    }

    html .et-db .six-col-tab .et_pb_column:not(:nth-child(6n)) {
        margin-right:5.5% !important;
    }
}

@media (max-width: 980px) {
	.desktop {
		display: none !important;
	}
	.mobile {
		display: block !important;
	}
	.custom-page-header h1 {
		font-size: 2rem;
	}
	.custom-page-header h2 {
		font-size: 1.5rem;
	}
	.custom-row-gold-border {
		gap: 5px !important;
	}
	.custom-row-gold-border .et_pb_column {
		display: block !important;
	}
}

@media (max-width: 600px) {
	.signed-in {
		margin-top: 46px;
	}

	.signed-in #et-main-area {
		margin-top: 46px !important;
	}

	#wpadminbar {
		position: fixed;
	}
}